@charset "UTF-8";

body {
    font-family: "Noto Sans JP", serif;
    font-optical-sizing: auto;
}

img {
    width: 100%;
}

p {
    font-size: 14px;
    line-height: 1.7;
}

h2 {
    font-size: 24px;
    color: #145004;
    text-align: center;
    font-weight: 300;
}

section {
    padding: 40px 20px;
}

section:nth-of-type(2n-1) {
    background-color: #f6efe8;
}

header {
    background-color: #ab9171;
}

.header-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1220px;
    margin-inline: auto;
}

h1 {
    color: #fff;
    font-size: 24px;
    padding: 11px 23px;

}

nav {
    color: #fff;
}

.global-nav-pc {
    display: none;
}

.sp-menu li a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px;
    border-bottom: 1px solid #ddd;
}

.sp-menu li a::after {
    display: block;
    content: "";
    width: 15px;
    height: 15px;
    border-top: 2px solid #ddd;
    border-right: 2px solid #ddd;
    rotate: 45deg;
}

.introduction-heading {
    line-height: 1.5;
}

.introduction-text {
    margin-top: 32px;
}

.introduction-text p {
    font-size: 16px;
}

.news-list {
    margin-top: 32px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.news-list li {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

section.recommendation {
    background: #ab9171 url(../img/falling-triangles.png) center top / 24px;
}

section.recommendation h2,
section.recommendation h3,
section.recommendation p {
    color: #fff;
}

.recommendation-list {
    margin-top: 32px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.recommendation-list li {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.recommendation-list img {
    border-radius: 10px;
    box-shadow: 0 4px 10px #7D5A2F;
}

.recommendation-list h3 {
    font-size: 20px;
}

.products-list {
    margin-top: 32px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.products-list li {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.products-list img {
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
}

.products-list h3 {
    font-size: 20px;
}

.product-price {
    font-size: 20px;
}

.detail-button {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin: 40px auto 0;
    background-color: #145004;
    color: #fff;
    font-size: 20px;
    padding: 18px;
    border-radius: 60px;
    max-width: 380px;

}

.detail-button::after {
    display: block;
    content: "";
    width: 15px;
    height: 15px;
    border-top: 2px solid #fff;
    border-right: 2px solid #fff;
    rotate: 45deg;
}

.business-hours-table {
    width: 100%;
    border: 1px solid #666;
    margin: 32px auto 0;
    max-width: 400px;
}

.business-hours-table th,
.business-hours-table td {
    border: 1px solid #666;
    background-color: #fff;
    padding: 14px 8px;
}

.business-hours-table th {
    font-weight: normal;
    width: 135px;
}

.access {
    padding: 40px 0 0;
}

.access-address {
    display: flex;
    margin-top: 32px;
    justify-content: center;
}

.access-map {
    margin-top: 40px;
}

.access-map iframe {
    width: 100%;
    height: 180px;
}

.form {
    display: flex;
    flex-direction: column;
    gap: 24px;
    max-width: 590px;
    margin: 32px auto 0;
}

.form label {
    display: block;
}

.form label span {
    display: block;
}

.form input[type="text"],
.form textarea {
    border: 1px solid #C8C8C8;
    background-color: #fff;
    width: 100%;
    padding: 12px;
    margin-top: 8px;
}

.form textarea {
    height: 144px;
    resize: vertical;
}

.form-button {
    display: block;
    margin: 16px auto 0;
    text-align: center;
    background-color: #145004;
    color: #fff;
    font-size: 20px;
    padding: 18px 0;
    border-radius: 60px;
    width: 160px;
}

footer {
    padding: 23px;
    background-color: #ab9171;
    color: #fff;
    text-align: center;
}

/* drawer */
.drawer-hamburger {
    padding: 15px .75rem 22px;
}

.drawer-hamburger-icon,
.drawer-hamburger-icon::after,
.drawer-hamburger-icon::before {
    background-color: #fff;
}

.drawer-overlay {
    background-color: rgba(0, 0, 0, .7);
}


@media screen and (768px <=width) {
    .sp-only {
        display: none;
    }

    .global-nav-pc {
        display: block;
    }

    .sp-menu,
    .drawer-hamburger {
        display: none;
    }

    .pc-menu {
        display: flex;
        align-items: center;
    }

    .pc-menu li a {
        display: block;
        padding: 20px 12px;
        transition: background-color 0.6s;
    }

    .pc-menu li a:hover {
        background-color: rgba(0, 0, 0, 0.1);
    }

    .news-list {
        width: fit-content;
        max-width: 794px;
        margin-inline: auto;
    }

    .news-list li {
        flex-direction: row;
    }

    .news-list-date {
        width: 100px;
    }

    .recommendation-list {
        flex-direction: row;
        justify-content: center;
    }

    .recommendation-list li {
        flex: 1;
        max-width: 380px;
    }

    .products-list {
        flex-direction: row;
        flex-wrap: wrap;
        max-width: 700px;
        margin-inline: auto;
    }

    .products-list li {
        width: calc(50% - 20px);
    }

    .detail-button {
        transition: background-color 0.2s;
    }

    .detail-button:hover {
        background-color: #0a2a01;
    }

    .access-map iframe {
        height: 250px;
    }

    .form-button {
        transition: background-color 0.2s;
    }

    .form-button:hover {
        background-color: #0a2a01;
    }

}

@media screen and (1024px <=width) {

    p {
        font-size: 16px;
    }

    h2 {
        font-size: 36px;
    }

    section {
        padding: 80px 20px;
    }

    .main-visual {
        height: 600px;
        object-fit: cover;
    }

    .introduction-text {
        margin-top: 56px;
        display: flex;
        justify-content: center;
    }

    .introduction-text p {
        font-size: 20px;
        width: 794px;
    }

    .news-list {
        margin-top: 56px;
        width: auto;
    }

    .news-list li {
        justify-content: space-between;
    }

    .news-list-date,
    .news-list-content {
        font-size: 20px;
    }

    .news-list-content {
        width: 656px;
    }

    .recommendation-list {
        margin-top: 56px;
    }

    .recommendation-list h3 {
        font-size: 24px;
    }

    .products-list {
        justify-content: center;
        max-width: none;
        margin-top: 56px;
    }

    .products-list li {
        width: 100%;
        max-width: 275px;
        flex: 1;
    }

    .detail-button {
        margin: 80px auto 0;
        font-size: 24px;
        padding: 24px;
    }

    .business-hours-table {
        font-size: 24px;
        max-width: 589px;
        margin-top: 56px;
    }

    .business-hours-table th {
        width: 210px;
        padding: 16px;
    }

    .business-hours-table td {
        padding: 16px 16px 16px 44px;
    }

    .access {
        padding: 80px 0 0 0;
    }

    .access-address {
        margin-top: 56px;
        font-size: 20px;
    }

    .access-map {
        margin-top: 56px;
    }

    .access-map iframe {
        height: 400px;
    }

    .form label span {
        font-size: 18px;
    }

    .form textarea {
        height: 232px;
    }

    .form-button {
        font-size: 24px;
        padding: 24px 0;
    }

    footer {
        padding: 30px;
        font-size: 16px;
    }
}